value relation widget, wrong sorting of text

2015-04-01 11:55 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: Edit widget

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 20640

Description

when a value relation is set, if a entry starts with an accented letter, then in the combo box this entry will show at the bottom of the list.

There is also a general issue with lists of numbers in the widgets, that are treated always as text, and this hurts quite a lot the usability of

such tools.

History

#1 - 2015-06-10 03:44 PM - Jürgen Fischer

- Status changed from Open to Feedback

What's shown in the combobox is supposed to be a description for the key used in the attribute.  Isn't using a number as description and edge case?

#2 - 2015-06-11 07:30 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Affected QGIS version changed from 2.8.1 to master

Jürgen Fischer wrote:

What's shown in the combobox is supposed to be a description for the key used in the attribute.  Isn't using a number as description and edge case?

but what about if the user "just" needs a combobox to allow choose quickly (and without errors) among a list of specific numbers? this is not an edge

situation at all, and as it is now the user creates this list in the "value" column and gets a list that is ordered as text.

#3 - 2017-05-01 01:07 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#4 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR
Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
